apiVersion: apps/v1
kind: Deployment
metadata:
  name: support-web-admin-deployment
  namespace: ingress-nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: support-web-admin-app
  template:
    metadata:
      labels:
        app: support-web-admin-app
    spec:
      containers:
        - name: support-web-admin-container
          image: mwageeeh/4sharks-support-web-admin:latest
          ports:
            - containerPort: 80
          volumeMounts:
            - name: admin-config-nginx-volume
              mountPath: /etc/nginx/conf.d
          # envFrom:
          # - configMapRef:
          #     name: sales-web-config
      volumes:
        - name: admin-config-nginx-volume
          configMap:
            name: support-web-admin-nginx-config
